ruby-typed-array_0.1.2-4_all.deb


Advertisement

Description

ruby-typed-array - Ruby library providing enforced-type functionality to Arrays

Distribution: Ubuntu 16.04 LTS (Xenial Xerus)
Repository: Ubuntu Universe i386
Package name: ruby-typed-array
Package version: 0.1.2
Package release: 4
Package architecture: all
Package type: deb
Installed size: 28 B
Download size: 5.57 KB
Official Mirror: archive.ubuntu.com
All methods that alter the contents of an array that implements this Gem are first checked to ensure that the added items are of the types allowed. All methods behave exactly as their Array counterparts, including additional forms, block processing, etc.

Alternatives

    Download

    Source package: ruby-typed-array

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install ruby-typed-array deb package:
      # sudo apt-get install ruby-typed-array

    Files

    • /usr/lib/ruby/vendor_ruby/typed-array.rb
    • /usr/lib/ruby/vendor_ruby/typed-array/functions.rb
    • /usr/share/doc/ruby-typed-array/README.rdoc
    • /usr/share/doc/ruby-typed-array/changelog.Debian.gz
    • /usr/share/doc/ruby-typed-array/copyright
    • /usr/share/rubygems-integration/all/specifications/typed-array-0.1.2.gemspec

    Changelog

    2016-01-04 - HIGUCHI Daisuke (VDR dai) <dai@debian.org> ruby-typed-array (0.1.2-4) unstable; urgency=medium * debian/control - Bump Standards-Version to 3.9.6 (no changes needed) - update Vcs-Browser: using cgit. * debian/control: update Homepage: using https instead of http. * debian/copyright: ditto.

    2014-05-02 - HIGUCHI Daisuke (VDR dai) <dai@debian.org> ruby-typed-array (0.1.2-3) unstable; urgency=medium * rebuild to update Ruby-Version for jessie.

    2014-01-18 - HIGUCHI Daisuke (VDR dai) <dai@debian.org> ruby-typed-array (0.1.2-2) unstable; urgency=medium * debian/ruby-tests.rb: fix FTBFS (Closes: #735869) * Bump Standards-Version to 3.9.5 (no changes needed)

    2013-08-05 - HIGUCHI Daisuke (VDR dai) <dai@debian.org> ruby-typed-array (0.1.2-1) unstable; urgency=low * Initial release (Closes: #696911)

    Advertisement
    Advertisement